<style lang='scss' scoped>
	.addRecord{
		width: 100%;
		padding: $paddingTB $paddingLR;
		:not(not) {
			box-sizing: border-box;
		}
	}
	
</style>
<template>
	<view class="addRecord">
		<u-form :model="form" label-width="150">
			<!-- <u-form-item label="所属项目" prop="name">
				<u-input v-model="form.projectName" :disabled="true" />
			</u-form-item> -->
			<u-form-item label="设备号" prop="intro">
				<u-input v-model="form.deviceKey" :disabled="true" />
			</u-form-item>
			<u-form-item label="维保时间" prop="intro" :rightIconStyle="{color: '#888', fontSize: '32rpx'}" right-icon="calendar">
				<u-input :disabled="true" v-model="form.createTime" right-icon="" />
				<!-- <u-picker mode="time" :params="params" v-model="timePickerShow" @confirm="timeOnConfirmFn"></u-picker> -->
			</u-form-item>
			<u-form-item label="维保内容" prop="intro">
				<u-input v-model="form.maintenanceContext" :disabled="true" type="textarea" :auto-height="true"/>
			</u-form-item>
			<!-- <u-form-item label="故障内容" prop="intro">
				<u-input v-model="form.faultContent" :disabled="true" type="textarea" :auto-height="true"/>
			</u-form-item> -->
			<u-form-item label="处理结果" prop="intro">
				<u-input v-model="form.auditResult" :disabled="true" type="textarea" :auto-height="true"/>
			</u-form-item>
			<u-form-item label="意见建议" prop="intro">
				<u-input v-model="form.auditOpinion" :disabled="true" type="textarea" :auto-height="true"/>
			</u-form-item>
			<u-form-item label="维保前图片" prop="photo">
				<!-- <u-upload width="160"></u-upload> -->
				<u-image
					width="100"
					height="100"
					:src="(form.maintenanceBeforeImg && form.maintenanceBeforeImg !== '') ?
					$tools.getIotFileUrl(form.maintenanceBeforeImg) :
					'h ttp://static.drgyen.com/app/hc-app-power/images/car.png'"
				></u-image>
			</u-form-item>
			<u-form-item label="维保后图片" prop="photo">
				<!-- <u-upload width="160"></u-upload> -->
				<u-image width="100" height="100" src="http://static.drgyen.com/app/hc-app-power/images/car.png"></u-image>
			</u-form-item>
			<!-- <u-button type="primary">提交</u-button> -->
		</u-form>
	</view>
</template>
<script>
	export default {
		data() {
			return {
				params:{
					year: true,
					month: true,
					day: true,
					hour: true,
					minute: true,
					second: true,
					timestamp: true, // 1.3.7版本提供
				},
				timePickerShow:false,
				form:{
					projectName:"", // 所属项目
					deviceId:"", // 设备号
					createTime:"", // 维保时间
					maintenanceContext:"", // 维保内容
					// faultContent:"", // 故障内容
					auditResult:"", // 处理结果
					auditOpinion:"", // 意见建议
					maintenanceBeforeImg:"", // 维保前图片
					maintenanceAfterImg:"" // 维保后图片
				}
			}
		},
		onLoad(e) {
			// this.form = {
			// 	projectName:"项目1", // 所属项目
			// 	deviceNumber:"dev123", // 设备号
			// 	maintenanceTime:"2021年1月7日09:54:16", // 维保时间
			// 	maintenanceContent:"维保内容", // 维保内容
			// 	faultContent:"故障内容", // 故障内容
			// 	dealResult:"处理结果", // 处理结果
			// 	suggestion:"意见建议", // 意见建议
			// 	maintenanceBeforeImg:"", // 维保前图片
			// 	maintenanceAfterImg:"" // 维保后图片
			// }
			// this.form.maintenanceTime = this.$u.timeFormat(new Date(), 'yyyy-mm-dd hh:MM:ss');
			// console.log(e,"eeeeeeeeeeeee");
			let id = decodeURIComponent(e.id);
			this.loadDetail(id);
		},
		methods: {
			loadDetail(id) {
				let userType = uni.getStorageSync("userType");
				// let url =  userType === "企业用户" ? "/app/maintenance/info?maintenanceId=" : "/iot/maintenance";
				let url = "/app/maintenance/" + id;
				this.$get(url)
				.then(res => {
					console.log(res, 'loadDetail');
					let data = res.data;
					let preImg = data.scenePictures.split(',')[0];
					let nextImg = data.scenePictures.split(',')[1];
					if(res.code == 200) {
						this.form = {
							projectName: data.projectName, // 所属项目
							deviceId: data.deviceId, // 设备号
							deviceKey: data.deviceKey, // 设备号
							createTime: data.createTime, // 维保时间
							maintenanceContext: data.maintenanceContext, // 维保内容
							// faultContent:"", // 故障内容
							// auditResult: userType === "企业用户" ? data?.auditNodes[0].auditResult : data?.maintenanceNodeList[0].auditResult, // 处理结果
							// auditOpinion: userType === "企业用户" ? data?.auditNodes[0].auditOpinion : data?.maintenanceNodeList[0].auditOpinion, // 意见建议
							auditResult: (data.maintenanceNodeList && data.maintenanceNodeList.length > 0) ? data.maintenanceNodeList[0].auditResult : '', // 处理结果
							auditOpinion: (data.maintenanceNodeList && data.maintenanceNodeList.length > 0) ? data.maintenanceNodeList[0].auditOpinion : '', // 意见建议
							maintenanceBeforeImg: preImg, // 维保前图片
							maintenanceAfterImg: nextImg // 维保后图片
						};
					}
				})
			},
			dealResultFn(val) {
				if(val == '0'){
					return '上报人创建工单';
				} else if (val == '1') {
					return '驳回上报人工单';
				} else if (val == '2') {
					return '处理人确认工单';
				} else if (val == '3') {
					return '处理人完成工单';
				} else if (val == '4') {
					return '驳回处理人工单';
				} else if (val == '5') {
					return '领导审批通过流程结束';
				} else {
					return '处理结果异常';
				}
			}
			// timeOnConfirmFn(e){
			// 	console.log(e,"e")
			// 	this.form.maintenanceTime = this.$u.timeFormat(e.timestamp, 'yyyy-mm-dd hh:MM:ss')
			// },
			// openTimePickerFn(){
			// 	this.timePickerShow = true;
			// }
		}
	}
</script>
